Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201202-08 ] stunnel: Arbitrary code execution
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1567

PostPosted: Wed Feb 29, 2012 6:26 pm    Post subject: [ GLSA 201202-08 ] stunnel: Arbitrary code execution Reply with quote

Gentoo Linux Security Advisory

Title: stunnel: Arbitrary code execution (GLSA 201202-08)
Severity: normal
Exploitable: remote
Date: February 29, 2012
Updated: July 30, 2012
Bug(s): #379859
ID: 201202-08

Synopsis

A vulnerability was found in stunnel, allowing remote attackers to
cause a Denial of Service and potentially arbitrary code execution.


Background

The stunnel program is designed to work as an SSL encryption wrapper
between a client and a local or remote server.


Affected Packages

Package: net-misc/stunnel
Vulnerable: < 4.44
Unaffected: >= 4.44
Unaffected: < 4
Architectures: All supported architectures


Description

An unspecified heap vulnerability was discovered in stunnel.

Impact

The vulnerability may possibly be leveraged to perform remote code
execution or a Denial of Service attack.


Workaround

There is no known workaround at this time.

Resolution

All stunnel 4.x users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=net-misc/stunnel-4.44"
   


References

CVE-2011-2940


Last edited by GLSA on Tue Jul 31, 2012 4:29 am; edited 1 time in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum